Name:           xfsprogs
Version:        5.14.1
Release:        7
Summary:        Administration and debugging tools for the XFS file system
License:        GPL+ and LGPLv2+
URL:            https://xfs.wiki.kernel.org

Source0:        http://kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.xz

BuildRequires:  libtool libattr-devel libuuid-devel gcc gettext inih-devel userspace-rcu-devel
BuildRequires:  readline-devel libblkid-devel >= 2.30 lvm2-devel libicu-devel >= 62.0

Recommends:     %{name}-xfs_scrub
Provides:       xfs-cmds
Obsoletes:      xfs-cmds <= %{version}
Provides:       xfsprogs-qa-devel
Obsoletes:      xfsprogs-qa-devel <= %{version}
Conflicts:      xfsdump < 3.0.1

Patch0:		xfsprogs-5.12.0-default-bigtime-inobtcnt-on.patch
Patch1:		0001-xfs-correct-nlink-printf-specifier-from-hd-to-PRIu32.patch
Patch2:         0002-libxfs-fix-inode-reservation-space-for-removing-tran.patch
Patch3:         0003-mkfs-prevent-corruption-of-passed-in-suboption-strin.patch
Patch4:         0004-xfsprogs-Add-sw64-architecture.patch
Patch5:         0005-xfs_db-use-preferable-macro-to-seek-offset-for-local.patch

%description
xfsprogs are the userspace utilities that manage XFS filesystems.

%package        xfs_scrub
Summary:        xfs filesystem online scrubbing utilities
Requires:       xfsprogs = %{version}-%{release}, python3

%description    xfs_scrub
xfs_scrub is used for checking and repairing metadata in a
mounted XFS filesystem.
WARNING!!! This program is EXPERIMENTAL, which means that its
behavior and interface could change at any time!
xfs_scrub is an immature utility! Do not run this program unless
you have backups of your data!

%package        devel
Summary:        The header files for XFS filesystem
Requires:       xfsprogs = %{version}-%{release}, libuuid-devel

%description    devel
It contains the header files for the  developing of XFS
filesystem.

%package        help
Summary:        Including man files for xfsprogs
Requires:       man
BuildArch:      noarch

%description    help
This contains man files for the using of xfsprogs.


%prep
%autosetup -n %{name}-%{version} -p1

%build
export tagname=CC

%configure  --enable-readline=yes --enable-blkid=yes --enable-lto=no

make %{?_smp_mflags}

%install
make DIST_ROOT=%{buildroot} install install-dev \
	PKG_ROOT_SBIN_DIR=%{_sbindir} PKG_ROOT_LIB_DIR=%{_libdir}

rm -f %{buildroot}{%{_lib}/*.{la,a,so},%{_libdir}/*.{la,a}}
rm -rf %{buildroot}%{_datadir}/doc/xfsprogs/

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%doc doc/CHANGES  README
%{_libdir}/*.so.*
%dir %{_usr}/%{_lib}/xfsprogs
%{_usr}/%{_lib}/xfsprogs/*
%{_sbindir}/*
%{_unitdir}/*
%exclude %{_sbindir}/xfs_scrub*
%exclude %{_unitdir}/xfs_scrub*
%exclude %{_usr}/%{_lib}/xfsprogs/xfs_scrub*

%files xfs_scrub
%{_sbindir}/xfs_scrub*
%{_unitdir}/xfs_scrub*
%{_usr}/%{_lib}/xfsprogs/xfs_scrub*
%{_mandir}/man8/xfs_scrub*

%files devel
%dir %{_includedir}/xfs
%{_includedir}/xfs/*.h
%{_libdir}/*.so

%files help
%{_mandir}/man*/*
%exclude %{_mandir}/man8/xfs_scrub*



%changelog
* Tue Dec 13 2022 Xiaole He <hexiaole@kylinos.cn> - 5.14.1-7
- add Patch5: xfs_db: use preferable macro to seek offset for local dir3 entry fields

* Wed Oct 26 2022 wuzx<wuzx1226@qq.com> - 5.14.1-6
- Add sw64 architecture

* Wed Sep 28 2022 Jun Yang <jun.yang@suse.com> - 5.14.1-5
- add Patch3: prevent corruption of passed-in suboption string values

* Thu Aug 18 2022 Xiaole He <hexiaole@kylinos.cn> - 5.14.1-4
- add Patch2: fix inode reservation space for removing transaction 

* Mon Jul 18 2022 Xiaole He <hexiaole@kylinos.cn> - 5.14.1-3
- add Patch1: correct nlink printf specifier from hd to PRIu32

* Fri Jun 10 2022 xiongyu <xiongyu.net@qq.com> - 5.14.1-2
- turn bigtime & inobtcnt on as default

* Mon Dec 6 2021 yanglongkang <yanglongkang@huawei.com> - 5.14.1-1
- update package to 5.14.1

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.9.0-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Tue Jun 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 5.9.0-2
- add buildrequire gettext.

* Sat Jan 30 2021 yanglongkang <yanglongkang@huawei.com> - 5.9.0-1
- update xfsprogs version to 5.9.0

* Wed Dec 2 2020 lixiaokeng <lixiaokeng@huawei.com> - 5.6.0-3
- backport patch from epoch2

* Wed Nov 25 2020 haowenchao <haowenchao@huawei.com> - 5.6.0-2
- Split xfsprogs-xfs_scrub and the xfsprogs recommends it.

* Thu Jul 16 2020 wuguanghao <wuguanghao3@huawei.com> - 5.6.0-1
- update xfsprogs version to 5.6.0-1

* Wed Aug 28 2019 zhanghaibo <ted.zhang@huawei.com> - 4.17.0-5
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESCi:openEuler Debranding

* Mon Aug 12 2019 zhanghaibo <ted.zhang@huawei.com> - 4.17.0-4
- Package init
